#perl -w
#
#/***********************************************************
# *
# * CopyLeft (L)  .  (yudenisov)
# *
# * .: +7 (904) 707-11-25 E-mail: yudenisov@aport2000.ru
# *
# *      
# * ""   Web-.
# *
# * 02.06.2008. 13:01
# *
#************************************************************/
#
#   /c:/Perl/user/perlib/htmlpr_fifth.pl

#
#
#   
#      
#
#/**********************************************************************
# *  SPEC_SYMBOLS
# *
# *  spec_symbols    "\", " " " 
# *  \\  \"; c.
# *    
# *     , /++, Perl  Java.
# *
# * !       - perl_symbols!
# *
# *  :   $myargs.
# *
# *  :   $myargs.
# *
# *  :  
# *
# **********************************************************************/
sub spec_symbols
{
#/* ,  */
    my( $myargs ) = @_;
# Replace the string;
#
    $myargs =~ s/\\/\\\\/g;
    $myargs =~ s/\"/\\\"/g;
        return( $myargs );
}
# /*   */
#

#
#/**********************************************************************
# *  PERL_SYMBOLS
# *
# *  perl_symbols     
# *  .
# *    
# *      Perl.
# *
# * !       - spec_symbols!
# *
# *  :   $myargs.
# *
# *  :   $myargs.
# *
# *  :  .
# *
# **********************************************************************/
sub perl_symbols
{
#/* ,  */
    my( $myargs ) = @_;
    my( $myitem );
# Replace the string;
#
    $myargs =~ s/\\/\\\\/g;
    $myargs =~ s/\"/\\\"/g;
    $myargs =~ s/\$/\\\$/g;
    $myargs =~ s/\@/\\\@/g;
    $myargs =~ s/\'/\\\'/g;
    $myargs =~ s/\`/\\\`/g;
#
	$myitem = $myargs;

#    $myitem = quotemeta($myargs);
        return( $myitem );
}
# /*   */
#

#/**********************************************************************
# *  SPLIT_TXT_GEN
# *
# *  split_txt_gen :
# *
# * *        128 ;
# * *         
# *   ;
# * *      ,  128 ;
# *
# *     
# *      Multi-Edit.
# *
# * !      ; spec_symbol,
# * perl_symbol, txts_gen, perl_gen  .   !
# *
# *  :
# * *    $maxlength,
# * *     @myargs.
# *
# *  :  .
# *
# *  :  .
# *
#**********************************************************************/
sub split_txt_gen
{
# /* ,  */
#
    my( $maxlength, $myargs ) = @_;
    my( @myarray, $argitem, $indexarray, $lengtharg, $i, $temp );
# @myarray -   ,   "  ";
# $argitem-   @myarg;
# $indexarray -    @myarray;
# $lengtharg    .
# $i, $temp --  .
    $indexarray = 0;
    foreach $argitem (@$myargs)
    {
        $lengtharg = length( $argitem );
        if( $lengtharg < $maxlength )
#
#   $argitem < $maxlength
#
        {
#  ,         .
#
            $myarray[++$indexarray] = $argitem;
            next;
        }
        if($lengtharg >= $maxlength)
        {
#   ,   ,  
#    ( $maxlength ) - 1;
#
            $temp = int( $lengtharg/$maxlength );
#   
            for( $i = 0; $i < $temp; $i++ )
            {
                $myarray[++$indexarray] = substr( $argitem, $i*$maxlength, $maxlength);
            }
#       ,   .
#
            $i = $lengtharg - $temp*$maxlength;
            if( $i > 0 )
            {
            $myarray[++$indexarray] = substr( $argitem, $temp*$maxlength, $i);
            }
            next;
        }
    }
    shift ( @myarray );
    return( @myarray );
}

#  
#
#

#/**********************************************************************
# *  txts_gen
# *
# *  txts_gen   :
# *  TEXT( "
# *    
# *  " );
# *   .
# *      : CR.
# *     
# *     
# * Multi-Edit.
# *
# *  :   $myargs.
# *
# *  :   $myargs.
# *
# *  :  .
# *
#**********************************************************************/
sub txts_gen
{
# /*  */
#
    my( $myargs ) = @_;
# Replace the string;
#
#    ,  .
    $myargs =~ s/(.+)/\tTEXT\(\x20\"$1\"\x20\)\;\n/ix;
#   ,      Multi Edit.
    $myargs =~ s/^$/\tCR\;CR\;/ix;
        return( $myargs );
}
#
#  .
#
#

#/**********************************************************************
# *  perl_gen
# *
# *  perl_gen   :
# * print "
# *    
# *  ";
# *   .
# *      : \n\n;
# *
# *  :   $myargs.
# *
# *  :   $myargs.
# *
# *  :  .
# *
#**********************************************************************/
sub perl_gen
{
# /*  */
#
    my( $myargs ) = @_;
# Replace the string;
#
#    ,  .
    $myargs =~ s/(.+)/\tprint\x20\"$1\"\;\n/ix;
#   ,      Multi Edit.
    $myargs =~ s/^$/\tprint\x20\"\\n\\n\"\;\n/ix;
        return( $myargs );
}
#
#  .
#
#

#/**********************************************************************
# *  puts_gen
# *
# *  puts_gen   :
# * puts( "
# *    
# *  " );
# *   .
# *      : \n\n;
# *
# *  :   $myargs.
# *
# *  :   $myargs.
# *
# *  :  .
# *
#**********************************************************************/
sub puts_gen
{
# /*  */
#
    my( $myargs ) = @_;
# Replace the string;
#
#    ,  .
    $myargs =~ s/(.+)/\tputs\(\x20\"$1\"\x20\\)\;\n/ix;
#   ,      Multi Edit.
    $myargs =~ s/^$/\tputs\(\"\\n\\n\"\)\;\n/ix;
        return( $myargs );
}
#
#  .
#
#
#

#/**********************************************************************
# *  slash_conv
# *
# *  slash_conv   :
# * \
# * ( ) 
# * /
# * ( ).
# *        
# *   Microsoft    Linux.
# *
# *  :   $myargs.
# *
# *  :   $myargs.
# *
# *  :  .
# *
#**********************************************************************/
sub slash_conv
{
# /*  */
#
    my( $myargs ) = @_;
# Replace the string;
#
    $myargs =~ s/\\/\//ixg;
        return( $myargs );
}
#
#  .
#
#
#

#/**********************************************************************
# *  path2html
# *
# *  path2html   : ./*.shtml</td>
# * \.\/(.+\.shtml)\<\/td\>
# *  <A HREF="*.shtml">./*.shtml</A></td>
# * \<A HREF=\"$1\"\>\.\/$1\<\/A\>\<\/td\>
# *  ./*.htm</td>
# * \.\/(.+\.htm)\<\/td\>
# *  <A HREF="*.htm">./*.htm</A></td>
# * \<A HREF=\"$1\"\>\.\/$1\<\/A\>\<\/td\>
# * .
# *         
# *     
# *  Linux.
# *
# * ! -       
# *        .
# *       
# *
# *  :   $myargs.
# *
# *  :   $myargs.
# *
# *  :  .
# *
#**********************************************************************/
sub path2html
{
# /*  */
#
    my( $myargs ) = @_;
# Replace the string;
#
    $myargs =~ s/\.\/(.+\.shtml)\<\/td\>/\<A HREF=\"$1\"\>\.\/$1\<\/A\>\<\/td\>/ix;
    $myargs =~ s/\.\/(.+\.htm)\<\/td\>/\<A HREF=\"$1\"\>\.\/$1\<\/A\>\<\/td\>/ix;

        return( $myargs );
}
#
#  .
#
#
#

1;

