#perl -w
#
#/***********************************************************
# *
# * CopyLeft (L)  .  (yudenisov)
# *
# * .: +7 (904) 707-11-25 E-mail: yudenisov@aport2000.ru
# *
# *      
# * ""   Web-.
# *
# * 02.06.2008. 13:01
# *
#************************************************************/
#
#   /c:/Perl/user/perllib/htmlpr_sec.pl

#   
#      
#

# /**********************************************************************
# *  H_CORR()
# *  h_corr     
# * ,      .
# *  "" ,  HTML  4.0  3.2
# *  :
# *           
# *    :
# * "<H1>"..."</H1>"  
# * <FONT FACE=\"Pragmatica, Arial\"><B><H1 ALIGN=\"CENTER\">" ... "</H1></B></FONT>"
# *
# * "<H2>"..."</H2>"  
# * <FONT FACE=\"Pragmatica, Arial\"><B><I><H2 ALIGN=\"CENTER\">" ... "</H2></I></B></FONT>"
# *
# * "<H3>"..."</H3>"  
# * <FONT FACE=\"Pragmatica, Arial\"><B><H3 ALIGN=\"CENTER\">" ... "</H3></B></FONT>"
# *
# * "<H2>*"...</H2> 
# * <FONT FACE=\"Pragmatica, Arial\" COLOR=\"TEAL\"><B><I><H2 ALIGN=\"LEFT\" CLASS=\"CONTENTS\">
# *        ...</H2>/</I></B></FONT>
# *
# *       
# *  HTML-,        ,
# *         .
# *
# *  : $myarg.
# *
# *  : $myarg.
# *
# *  :
# * $result = h_corr( $myarg );
# *
# * :       
# *   p2li  pargen.
# * !      
# * brgen!
# *
# *********************************************************************/
#
sub h_corr
{
# /*  */
	my( $myarg ) = @_;

# /*   */

# //*   "<H2>*"..."</H2>" */
# /*    "<FONT FACE=\"Pragmatica, Arial\" COLOR=\"TEAL\"><H2 ALIGN=\"LEFT\" CLASS=\"CONTENTS\"><B><I>" ... "</I></B></H2></FONT>" */
        $myarg =~ s/<P>(.*)<\/P>/<FONT FACE=\"Pragmatica, Arial\" COLOR=\"TEAL\"><H2 ALIGN=\"LEFT\" CLASS=\"CONTENTS\"><B><I>$1<\/I><\/B><\/H2><\/FONT>/i;

# //*   "<H1>"..."</H1>" */
# /*    "<H1 ALIGN=\"CENTER\"><B>" ... "</B></H1>" */
		$myarg =~ s/<H1>(.+)<\/H1>/<H1 ALIGN=\"CENTER\"><B>$1<\/B><\/H1>/i;

# //*   "<H2>"..."</H2>" */
# /*    "<H2 ALIGN=\"CENTER\"><B><I>" ... "</I></B></H2>" */
		$myarg =~ s/<H2>(.+)<\/H2>/<H2 ALIGN=\"CENTER\"><B><I>$1<\/I><\/B><\/H2>/i;

# //*   "<H3>"..."</H3>" */
# /*    "<H3 ALIGN=\"CENTER\"><B>" ... "</B></H3>" */
		$myarg =~ s/<H3>(.+)<\/H3>/<H3 ALIGN=\"CENTER\"><B>$1<\/B><\/H3>/i;

		return( $myarg );
}
#
#  

# /**********************************************************************
# *  H_CORR01()
# *  h_corr01     
# * ,      .
# *  "" ,  HTML  4.0  3.2
# *  :
# *           
# *    :
# * "<H1 ALIGN=\"CENTER\">"..."</H1>"  
# * "<H1 ALIGN=\"CENTER\"><A NAME=\"\">" ... "</A></H1>"
# *
# * "<H2 ALIGN=\"CENTER\">"..."</H2>"  
# * "<H2 ALIGN=\"CENTER\"><A NAME=\"\">" ... "</A></H2>"
# *
# * "<H3 ALIGN=\"CENTER\">"..."</H3>"  
# * "<H3 ALIGN=\"CENTER\"><A NAME=\"\">" ... "</A></H3>"
# *
# *
# *       
# *  HTML-,        ,
# *         .
# *
# *  : $myarg.
# *
# *  : $myarg.
# *
# *  :
# * $result = h_corr01( $myarg );
# *
# * :       
# *   hcorr.
# * !      
# * brgen!
# *
# *********************************************************************/
sub h_corr01
{
# /*  */
	my( $myarg ) = @_;

# /*   */
# //   "<H1 ALIGN=\"CENTER\">"..."<\/H1> */
# /*    "<H1 ALIGN=\"CENTER\"><A NAME=\"\">"..."<\/A><\/H1> */
		$myarg =~ s/<H1 ALIGN=\"CENTER\">(.+)<\/H1>/<H1 ALIGN=\"CENTER\"><A NAME=\"\">$1<\/A><\/H1>/i;

# //   "<H2 ALIGN=\"CENTER\">"..."<\/H2> */
# /*    "<H2 ALIGN=\"CENTER\"><A NAME=\"\">"..."<\/A><\/H2> */
		$myarg =~ s/<H2 ALIGN=\"CENTER\">(.+)<\/H2>/<H2 ALIGN=\"CENTER\"><A NAME=\"\">$1<\/A><\/H2>/i;

# //   "<H3 ALIGN=\"CENTER\">"..."<\/H3> */
# /*    "<H3 ALIGN=\"CENTER\"><A NAME=\"\">"..."<\/A><\/H3> */
		$myarg =~ s/<H3 ALIGN=\"CENTER\">(.+)<\/H3>/<H3 ALIGN=\"CENTER\"><A NAME=\"\">$1<\/A><\/H3>/i;

		return( $myarg );
}
#
#  

# /**********************************************************************
# *  H_CORR02()
# *  h_corr02     
# * ,      .
# *  "" ,  HTML  4.0  3.2
# *  :
# *           
# *    :
# * "<H1 ALIGN=\"CENTER\">"..."</H1>"  
# * "<FONT FACE=\"Arial Black, Arial\" COLOR=\"Blue\"><H1 ALIGN=\"CENTER\">" ... "</H1></FONT>"
# *
# * "<H2 ALIGN=\"CENTER\">"..."</H2>"  
# * "<FONT FACE=\"Pragmatica, Arial\"><H2 ALIGN=\"CENTER\">" ... "</H2></FONT>"
# *
# * "<H3 ALIGN=\"CENTER\">"..."</H3>"  
# * "<FONT FACE=\"Pragmatica, Arial\"><H3 ALIGN=\"CENTER\">" ... "</H3></FONT>"
# *
# *
# *       
# *  HTML-,        ,
# *         .
# *
# *  : $myarg.
# *
# *  : $myarg.
# *
# *  :
# * $result = h_corr02( $myarg );
# *
# * :       
# *   hcorr.
# * !      
# * brgen!
# *
# *********************************************************************/
sub h_corr02
{
# /*  */
	my( $myarg ) = @_;

# /*   */
# //   "<H1 ALIGN=\"CENTER\"> CLASS=\"TITLE\">"..."<\/H1> */
# /*    "<FONT FACE=\"Arial Black, Arial\"><H1 ALIGN=\"CENTER\" CLASS=\"TITLE\">..."<\/H1><\/FONT> */
        $myarg =~ s/<H1 ALIGN=\"CENTER\" CLASS=\"TITLE\">(.+)<\/H1>/<FONT FACE=\"Arial Black, Arial\" COLOR=\"Blue\"><H1 ALIGN=\"CENTER\" CLASS=\"TITLE\">$1<\/H1><\/FONT>/i;

# //   "<H1 ALIGN=\"CENTER\">"..."<\/H1> */
# /*    "<FONT FACE=\"Arial Black, Arial\"><H1 ALIGN=\"CENTER\">..."<\/H1><\/FONT> */
        $myarg =~ s/<H1 ALIGN=\"CENTER\">(.+)<\/H1>/<FONT FACE=\"Pragmatica, Arial\"><H1 ALIGN=\"CENTER\">$1<\/H1><\/FONT>/i;

# /*   */
# //   "<H2 ALIGN=\"CENTER\">"..."<\/H2> */
# /*    "<FONT FACE=\"Arial Black, Arial\"><H2 ALIGN=\"CENTER\">..."<\/H2><\/FONT> */
        $myarg =~ s/<H2 ALIGN=\"CENTER\">(.+)<\/H2>/<FONT FACE=\"Pragmatica, Arial\"><H2 ALIGN=\"CENTER\">$1<\/H2><\/FONT>/i;

# /*   */
# //   "<H3 ALIGN=\"CENTER\">"..."<\/H3> */
# /*    "<FONT FACE=\"Arial Black, Arial\"><H3 ALIGN=\"CENTER\">..."<\/H3><\/FONT> */
        $myarg =~ s/<H3 ALIGN=\"CENTER\">(.+)<\/H3>/<FONT FACE=\"Pragmatica, Arial\"><H3 ALIGN=\"CENTER\">$1<\/H3><\/FONT>/i;


		return( $myarg );
}
#
#  

# /**********************************************************************
# *  H_CORR03()
# *  h_corr03      
# * ,      .
# *  "" ,  HTML  4.0  3.2
# *  :
# *           
# *    :
# * "<H1 ALIGN=\"CENTER\"><A NAME=\"\">(\w)\.(\d+)\.(.+)</A></H1>" 
# * "<H1 ALIGN=\"CENTER\"><A NAME=\"$10$2\">$1\.$2\.$3</A></H1>"
# *
# * "<H2 ALIGN=\"CENTER\"><A NAME=\"\">(\w)\.(\d+)\.(\d+)\.(.+)</A></H2>"
# * "<H2 ALIGN=\"CENTER\"><A NAME=\"$10$2$3\">$1\.$2\.$3\.$4</A></H2>"
# *
# * "<H3 ALIGN=\"CENTER\"><A NAME=\"\">(\w)\.(\d+)\.(\d+)\.(\d+)\.(.+)</A></H3>"
# * "<H3 ALIGN=\"CENTER\"><A NAME=\"\">$10$2$3\">$1\.$2\.$3\.$4\.$5</A></H3>"
# *
# *
# *       
# *  HTML-,        ,
# *         .
# *
# *  : $myarg.
# *
# *  : $myarg.
# *
# *  :
# * $result = h_corr03( $myarg );
# *
# * :       
# *   hcorr.
# * !      
# * brgen!
# *
# *********************************************************************/
sub h_corr03
{
# /*  */
	my( $myarg ) = @_;

# /*   */
# //   <H1 ALIGN=\"CENTER\"><A NAME=\"\">(\w)\.(\d+)\.(.+)</A></H1> */
# /*    <H1 ALIGN=\"CENTER\"><A NAME=\"$10$2\">$1\.$2\.$3</A></H1> */
        $myarg =~ s/<H1 ALIGN=\"CENTER\"><A NAME=\"\"><B>([A-Za-z])\.(\d+)\.(.+)<\/B><\/A><\/H1>/<H1 ALIGN=\"CENTER\"><A NAME=\"\l$1\x30$2\"><B>\u$1\.$2\.$3<\/B><\/A><\/H1>/i;

# //   <H2 ALIGN=\"CENTER\"><A NAME=\"\">(\w)\.(\d+)\.(\d+)\.(.+)</A></H2> */
# /*    <H2 ALIGN=\"CENTER\"><A NAME=\"$10$2$3\">$1\.$2\.$3\.$4</A></H2> */
        $myarg =~ s/<H2 ALIGN=\"CENTER\"><A NAME=\"\"><B><I>(\w)\.(\d+)\.(\d+)\.(.+)<\/I><\/B><\/A><\/H2>/<H2 ALIGN=\"CENTER\"><A NAME=\"\l$1\x30$2$3\"><B><I>\u$1\.$2\.$3\.$4<\/A><\/I><\/B><\/H2>/i;

# //   <H3 ALIGN=\"CENTER\"><A NAME=\"\">(\w)\.(\d+)\.(\d+)\.(\d+)\.(.+)</A></H3> */
# /*    "<H3 ALIGN=\"CENTER\"><A NAME=\"\">$10$2$3\">$1\.$2\.$3\.$4\.$5</A></H3> */
        $myarg =~ s/<H3 ALIGN=\"CENTER\"><A NAME=\"\"><B>(\w)\.(\d+)\.(\d+)\.(\d+)\.(.+)<\/B><\/A><\/H3>/<H3 ALIGN=\"CENTER\"><A NAME=\"\l$1\x30$2$3$4\"><B>\u$1\.$2\.$3\.$4\.$5<\/B><\/A><\/H3>/i;

		return( $myarg );
}
#
#  

#
# P2H
#
#  p2h    HTML 
#
#      ,   
#     ,  .
#
#  :
#   : <P>< >.{<>.} ...</P>
#   P  H?.
#
# :
# 	@myarg --  ,   .
#
#  :
# 	  @myarg
#
#  :
#	@result = &node( \@myarg ).
#
sub p2h
{
	my( $myarg ) = @_;

# Replace Headers
    if($myarg =~ m/<P>([A-Z]\.\d+\.\d+\.\d+\.\d+\.\x20.+)<\/P>/ixc)
    {
        $myarg =~ s/<P>([A-Z]\.\d+\.\d+\.\d+\.\d+\.\x20.+)<\/P>/<H4>$1<\/H4>/i;
        return( $myarg);
    }
    if($myarg =~ m/<P>([A-Z]\.\d+\.\d+\.\d+\.\x20.+)<\/P>/ixc)
    {
        $myarg =~ s/<P>([A-Z]\.\d+\.\d+\.\d+\.\x20.+)<\/P>/<H3>$1<\/H3>/i;
        return( $myarg);
    }
    if($myarg =~ m/<P>([A-Z]\.\d+\.\d+\.\x20.+)<\/P>/ixc)
	{
        $myarg =~ s/<P>([A-Z]\.\d+\.\d+\.\x20.+)<\/P>/<H2>$1<\/H2>/i;
		return( $myarg);
	}
    if($myarg =~ m/<P>([A-Z]\.\d+\.\x20.+)<\/P>/ixc)
    {
        $myarg =~ s/<P>([A-Z]\.\d+\.\x20.+)<\/P>/<H1>$1<\/H1>/i;
        return( $myarg);
    }
    if( $myarg =~ m/<P>([A-Z]\.\x20.+)<\/P>/ixc )
    {
        $myarg =~ s/<P>([A-Z]\.\x20.+)<\/P>/<H1 ALIGN=\"CENTER\" CLASS=\"TITLE\">$1<\/H1>/i;
        return( $myarg);
    }

    return($myarg);
}
# End of the program

# 
# P2LI
#
#  p2li     
#  HTML 
#
#      ,     ,
#        ,   
#     .
# 
#  :
#   : <P>((*|-)|(< >|<>)(.|))) ...</P>
#   P  LI.
#
# :
# 	@myarg --  ,   .
#
#  :
# 	  @myarg
# 
#  :
#	@result = &p2li( \@myarg ).
#
sub p2li
{
	my( $myarg ) = @_; 

# Replace Headers
		$myarg =~ s/<P>(\*|-)\s(.+)<\/P>/<LI>$2<\/LI>/i;
		$myarg =~ s/<P>(\d+\.|\d+\)|\w\))\s(.+)<\/P>/<LI>$2<\/LI>/i;

	return( $myarg);
}
# End of the program

#/**********************************************************************
# *  P_CORR()
# *  p_corr     
# * "", "Copyleft", "Copyright"  .
# *
# *  :
# *           
# *    :
# * <P>Copyleft (L) ... </P>  
# * <P ALIGN=\"RIGHT\" ID="\CpRt"\"> ... </P>
# *
# * <P>Copyright ... </P>  
# * <P ALIGN=\"RIGHT\" ID=\"CpRt\"> ... </P>
# *
# * <P> ... </P>  
# * <SMALL><P ALIGN=\"LEFT\" ID=\"APPOSIT\">... </P></SMALL>
# *
# *       
# *  HTML-,        ,
# *         .
# *
# *  : $myarg.
# *
# *  : $myarg.
# *
# *  :
# * $result = p_corr( $myarg );
# *
# * :       
# *   p2li  pargen.
# * !      
# * brgen!
# *
# *********************************************************************/
sub p_corr
{
# /*  */
	my( $myarg ) = @_; 

# /*   */
# //   "<P>Copyleft (L) "..."</P>" */
		$myarg =~ s/<P>Copyleft\s\(L\)(.+)<\/P>/<P ALIGN=\"RIGHT\" ID=\"CpRt\">Copyleft\0x20\(L\)$1<\/P>/i;
# //*   "<P>Copyright "..."</P>" */
		$myarg =~ s/<P>Copyright\s(.+)<\/P>/<P ALIGN=\"RIGHT\" ID=\"CpRt\">Copyright\0xff $1<\/P>/i;
# //*   "<P> "..."</P>" */
		$myarg =~ s/<P>(|)(.+)<\/P>/<SMALL><P ALIGN=\"LEFT\" ID=\"APPOSIT\">$1$2<\/P><\/SMALL>/i;
# //*   "<P>! "..."</P>" */
		$myarg =~ s/<P>!\s(.+)<\/P>/<BIG><P ALIGN=\"LEFT\" ID=\"APPOSIT\">!\x20$1<\/P><\/BIG>/i;
		return( $myarg );
}
#  
#

# /**********************************************************************
# *  P_CORR1()
# *  p_corr1     
# *
# *  :
# *           
# *    :
# * <P>  
# * <P ALIGN=\"JUSTIFY\" CLASS=\"JUSTI\"> ...
# *
# *
# *       
# *  HTML-,        ,
# *         .
# *
# *  : $myarg.
# *
# *  : $myarg.
# *
# *  :
# * $result = p_corr1( $myarg );
# *
# * :       
# *   p2liah  pargen.
# *
# * !      
# *   (..  h_corr  p_corr).
# *
# * !      
# * brgen!
# *
# *********************************************************************/
sub p_corr1
{
# /*  */
	my( $myarg ) = @_; 

# /*   */
# //   "<P>" */
# /*    "<P ALIGN=\"JUSTIFY\" CLASS=\"JUSTI\">" */
		$myarg =~ s/<P>(.+)<\/P>/<P ALIGN=\"JUSTIFY\" CLASS=\"JUSTI\">$1<\/P>/i;
		return( $myarg );
}
#
#   

# ------------------------------------------------------------------------
#

1;

